commit 319bf015de8fa38e21ac271ce2f7d61aa77d90cb
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-02

    Update bash_completion

commit 99c572448ac94f122a27cc088fe9cd8998222278
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-02

    Update manual pages

commit a5007158dfdc76cd308e731c629d963406e25965
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-02

    Bump package and library versions

commit 0b210f072d60db111d6abb44c98cfa754e4d9c99
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-02

    Update AUTHORS

commit 5ca289471f681ed6c62a9f29e0cc4ea980506fdf
Merge: 2141edda 1459db27
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-03-02
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-03-02

    Merge pull request #2311 from nghttp2/bump-libbpf
    
    Bump libbpf to v1.5.0

commit 2141edda0cbf8a85bd46c041cc4b421d505d0cd5
Merge: 133cc56e d9793fce
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-03-01
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-03-01

    Merge pull request #2312 from nghttp2/fix-coverity-check
    
    Fix errors reported by coverity

commit d9793fceafdf44dbdea727dfb3e6d35023f46105
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-01
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-01

    Fix errors reported by coverity

commit 1459db27fb5daf83d418729ab781d4cdd14c07ad
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-28

    Bump libbpf to v1.5.0

commit 133cc56e70a31897088a75d38d24dfedf413060e
Merge: ce5329a3 cd9a021a
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-02-27
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-02-27

    Merge pull request #2310 from nghttp2/bump-ngtcp2
    
    Bump ngtcp2

commit cd9a021a19c7f6b83250be5dbb3ac01a12793a7f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-27

    Suppress warning when building C++ code with wolfSSL

commit 2e8124eadb41808b1de787131de1b6f58c83ed05
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-27

    Bump ngtcp2 and its dependencies

commit ce5329a3109cda508f4d84e5c46a206d4d5ef3a6
Merge: 6b74e009 1049ce0a
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-02-18
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-02-18

    Merge pull request #2309 from nghttp2/nghttpx-rework-quic-conn
    
    nghttpx: Rework QUIC connection handling

commit 1049ce0a99b121f85768a3d1c3a3dd461fe6bd10
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-01-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-18

    nghttpx: Rework QUIC connection handling

commit 6b74e0097ba30b1273843776a20395319f441987
Merge: 321b71ae 785b0b54
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-02-18
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-02-18

    Merge pull request #2308 from nghttp2/dependabot/go_modules/golang.org/x/net-0.35.0
    
    build(deps): bump golang.org/x/net from 0.34.0 to 0.35.0

commit 785b0b541d4152e5e07e33a611fa85e2ddd3593a
Author:     dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
AuthorDate: 2025-02-17
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-02-17

    build(deps): bump golang.org/x/net from 0.34.0 to 0.35.0
    
    Bumps [golang.org/x/net](https://github.com/golang/net) from 0.34.0 to 0.35.0.
    - [Commits](https://github.com/golang/net/compare/v0.34.0...v0.35.0)
    
    ---
    updated-dependencies:
    - dependency-name: golang.org/x/net
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 321b71aedb54eaab20456828f316212ec203c8fa
Merge: e2e73723 1dbbcc35
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-02-08
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-02-08

    Merge pull request #2306 from nghttp2/clang-format
    
    clang-format

commit 1dbbcc35e1c5365d3ca94b6509ed7fe06d5b2444
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-08
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-08

    clang-format

commit e2e737234e9d292d3cdbabd947c05e16b57ee19e
Merge: e01c9f10 2b7ad6e6
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-02-05
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-02-05

    Merge pull request #2305 from qnx-ports/master
    
    Add QNX Support

commit 2b7ad6e6f376d47943347b2dc4b0b9ac2223870b
Author:     Deep Chordia <dchordia@blackberry.com>
AuthorDate: 2025-02-05
Commit:     Deep Chordia <dchordia@blackberry.com>
CommitDate: 2025-02-05

    Add QNX Support

commit e01c9f10a3b7d1df1b50f7ff190dee474cc15d0b
Merge: fd4505cf a2db898d
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-02-03
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-02-03

    Merge pull request #2304 from nghttp2/cmake-src-tests
    
    cmake: Disable src tests if BUILD_TESTING is OFF

commit a2db898d7094899c3dc8cb0b32ac1cf35ee362c8
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-03

    cmake: Disable src tests if BUILD_TESTING is OFF

commit fd4505cfb21710ee9ca54a128001184472a9ab46
Merge: d037dc32 9c23c72d
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-01-29
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-29

    Merge pull request #2302 from nghttp2/min-quic-pktlen
    
    The minimum length of a valid QUIC packet is 21

commit 9c23c72d9997465205b62e061f317e8845e7dbb0
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-01-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-01-29

    The minimum length of a valid QUIC packet is 21

commit d037dc32b4ddac267b0ede89f5f6f334319c636b
Merge: a4dad6d3 e045b463
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-01-28
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-28

    Merge pull request #2301 from nghttp2/dependabot/go_modules/github.com/quic-go/quic-go-0.49.0
    
    build(deps): bump github.com/quic-go/quic-go from 0.48.2 to 0.49.0

commit e045b46352a9a36834c7157c77e873d570717c26
Author:     dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
AuthorDate: 2025-01-27
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-27

    build(deps): bump github.com/quic-go/quic-go from 0.48.2 to 0.49.0
    
    Bumps [github.com/quic-go/quic-go](https://github.com/quic-go/quic-go) from 0.48.2 to 0.49.0.
    - [Release notes](https://github.com/quic-go/quic-go/releases)
    - [Changelog](https://github.com/quic-go/quic-go/blob/master/Changelog.md)
    - [Commits](https://github.com/quic-go/quic-go/compare/v0.48.2...v0.49.0)
    
    ---
    updated-dependencies:
    - dependency-name: github.com/quic-go/quic-go
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit a4dad6d36acde0f2a511632ba8fa395e70159b41
Merge: 0c9fdf26 bdf7f14b
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-01-27
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-27

    Merge pull request #2300 from nghttp2/stale-exempt-pr
    
    GHA: Exempt pull request from actions/stale

commit bdf7f14b3d914d43ca7f9d1c6641331e7970b155
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-01-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-01-27

    GHA: Exempt pull request from actions/stale

commit 0c9fdf26397d6f46595dd0f0df4091dd50606f70
Merge: 280110ca dd59dd8b
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-01-26
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-26

    Merge pull request #2299 from nghttp2/nullptr
    
    src: nullptr

commit dd59dd8ba99b3e40ed6a1bfb4ba5f676be8e386d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-01-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-01-26

    src: nullptr

commit 280110ca8dd1563b9fe1597bd33fbf0607fb5f5c
Merge: e25e68f2 f9958255
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-01-26
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-26

    Merge pull request #2298 from nghttp2/fix-stale-action
    
    Workaround actions/stale cache issue

commit f9958255ee08011a7d72060bcb1675a8f0842635
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-01-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-01-26

    Workaround actions/stale cache issue

commit e25e68f23408720c11812ece06ffadb1b635f931
Merge: ab19019b 01accaef
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-01-25
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-25

    Merge pull request #2297 from thevilledev/fix/hd-int-overflow-check
    
    fix: Add defensive bounds checking in hd_ringbuf_init()

commit 01accaef55254ffeeebf99b1b0ceeb9cc0592d8e
Author:     Ville Vesilehto <ville@vesilehto.fi>
AuthorDate: 2025-01-24
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-24

    fix: remove redundant sizeof check
    
    Co-authored-by: Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>

commit d06472b2c170cc898f9722b55005ef8cdbb07a63
Author:     Ville Vesilehto <ville@vesilehto.fi>
AuthorDate: 2025-01-24
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-24

    fix: optimise for conditions
    
    Co-authored-by: Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>

commit 8ada192e6942eb4f5b85d73b648de73185a3e112
Author:     Ville Vesilehto <ville@vesilehto.fi>
AuthorDate: 2025-01-24
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-24

    fix: set max_size as const
    
    Co-authored-by: Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>

commit 639b14710b83c831b5c2bc75d33e385da4cde22e
Author:     Ville Vesilehto <ville@vesilehto.fi>
AuthorDate: 2025-01-20
Commit:     Ville Vesilehto <ville@vesilehto.fi>
CommitDate: 2025-01-20

    fix: Add defensive integer overflow checks in hd ringbuf init
    
    Add bounds checking in hd_ringbuf_init() to prevent potential integer
    overflow during size calculations. While HPACK decoder controls its own
    buffer size (4-8K typical) and is not vulnerable to remote exploitation,
    this adds defensive programming guards for robustness.
    
    Signed-off-by: Ville Vesilehto <ville@vesilehto.fi>

commit ab19019b77bc04925cbede25307720af056b83d3
Merge: f88c0985 15d75404
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-01-18
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-18

    Merge pull request #2296 from nghttp2/xmlfree
    
    HtmlParser: Use xmlFree

commit 15d754040a03101bed219fd4ae910f56446b1b84
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-01-18
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-01-18

    HtmlParser: Use xmlFree

commit f88c09857dc8819c3a849a67a5e1d8e10503b49f
Merge: e5309612 3cb06f11
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-01-14
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-14

    Merge pull request #2295 from nghttp2/dependabot/go_modules/golang.org/x/net-0.34.0
    
    build(deps): bump golang.org/x/net from 0.33.0 to 0.34.0

commit 3cb06f116d662843cc4fbd82ffd251cd90842532
Author:     dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
AuthorDate: 2025-01-13
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-13

    build(deps): bump golang.org/x/net from 0.33.0 to 0.34.0
    
    Bumps [golang.org/x/net](https://github.com/golang/net) from 0.33.0 to 0.34.0.
    - [Commits](https://github.com/golang/net/compare/v0.33.0...v0.34.0)
    
    ---
    updated-dependencies:
    - dependency-name: golang.org/x/net
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit e53096123c961357302442fb1e0ac14cf7bc7e03
Merge: 6494f056 48cdba35
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-01-12
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-12

    Merge pull request #2294 from nghttp2/remove-nghttp2-dependency-based-priority-section
    
    Remove nghttp2 dependency based priority section

commit 48cdba3553b294a470651f040d4c9dfff9fdea74
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-01-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-01-12

    Update manual pages

commit 71498767046147f87bb3a5b01d5e4ff35dfba4c3
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-01-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-01-12

    nghttp: Remove DEPENDENCY BASED PRIORITY section from its manual page

commit 6494f0563818cbc27a351769c1bc649f89177140
Merge: 1f581807 db12ee7a
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-01-12
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-12

    Merge pull request #2293 from nghttp2/update-priority-doc
    
    Update Stream priorities section

commit 1f5818070d0500822f03bc1194a655494a724dc9
Merge: d928ceb7 82602821
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-01-12
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-12

    Merge pull request #2292 from nghttp2/nghttp-show-deprecation-warn-no-rfc7540-pri
    
    nghttp: Show deprecation warning for --no-rfc7540-pri option

commit db12ee7a37bbd2ba7d2a59b3c31b0dd1f31aac1d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-01-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-01-12

    Update Stream priorities section

commit 82602821d00ff42eae0c7cf8cfe4a7eba2d0c563
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-01-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-01-12

    nghttp: Show deprecation warning for --no-rfc7540-pri option

commit d928ceb75a364f1e199b841eae1548cc9897c9c2
Merge: 7e096cbc 7f871f63
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-01-12
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-12

    Merge pull request #2291 from nghttp2/nghttpd-remove-rfc7540-pri
    
    nghttpd: Remove RFC 7540 priorities

commit 7f871f63ea0935c9a09c3eab6b310f051806a672
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-01-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-01-12

    nghttpd: Remove RFC 7540 priorities
    
    This change deprecates --no-rfc7540-pri option.
    SETTINGS_NO_RFC7540_PRIORITIES is now always sent.

commit 7e096cbc4131b1473e91e0e672a2bc2ca2ad91cf
Merge: c8bcf5a6 f25a8dca
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-01-11
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-11

    Merge pull request #2290 from nghttp2/nghttp-remove-rfc7540-pri
    
    nghttp: Remove RFC 7540 priorities

commit f25a8dca17446f525ce2930918e503536dcd4374
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-01-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-01-11

    nghttp: Remove RFC 7540 priorities
    
    This change removes RFC 7540 priorities from nghttp.  nghttp now does
    not create the initial dependency tree.  --no-dep and --no-rfc7540-pri
    options have been removed.
    
    nghttp now always sends NGHTTP2_SETTINGS_NO_RFC7540_PRIORITIES.
    --extpri option has been added to set priority for a given URI.

commit c8bcf5a6a2157b316444dddd8d262778b41f2821
Merge: 26a33cf9 b2a3299e
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-01-11
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-11

    Merge pull request #2289 from nghttp2/deprecate-nghttp2_option_set_no_closed_streams
    
    Deprecate nghttp2_option_set_no_closed_streams

commit b2a3299e8ecec9a879c41415373a46f8eb4cb286
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-01-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-01-11

    Deprecate nghttp2_option_set_no_closed_streams

commit 26a33cf99bd30d4be24c6f6e534286cbddd86d05
Merge: cb8421e3 96e06509
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-01-10
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-10

    Merge pull request #2288 from nghttp2/deprecate-nghttp2_option_set_server_fallback_rfc7540_priorities
    
    Deprecate nghttp2_option_set_server_fallback_rfc7540_priorities

commit cb8421e3537154536dfaf8d1d8fdea77de672b21
Merge: 8c83772f 3dd61f8e
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-01-10
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-10

    Merge pull request #2287 from nghttp2/remove-rfc7540-priority
    
    Remove RFC 7540 priorities

commit 96e06509ac558d1b740cc62e2e6bf442b4d4667b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-01-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-01-10

    Deprecate nghttp2_option_set_server_fallback_rfc7540_priorities

commit 3dd61f8ec3990928ee5f2606353d2b291f771aab
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-03-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-01-10

    Remove RFC 7540 priorities
    
    Summary of the behavioral changes in public API functions:
    
    - nghttp2_session_change_stream_priority: This function is noop.  It
      always returns 0.
    - nghttp2_session_create_idle_stream: This function is noop.  It
      always returns 0.
    - nghttp2_submit_request: pri_spec is ignored.
    - nghttp2_submit_request2: pri_spec is ignored.
    - nghttp2_submit_headers: pri_spec is ignored.
    - nghttp2_submit_priority: This function is noop.  It always returns
      0.
    - nghttp2_stream_get_parent: This function always returns NULL.
    - nghttp2_stream_get_next_sibling: This function always returns NULL.
    - nghttp2_stream_get_previous_sibling: This function always returns
      NULL.
    - nghttp2_stream_get_first_child: This function always returns NULL.
    - nghttp2_stream_get_weight: This function always returns
      NGHTTP2_DEFAULT_WEIGHT.
    - nghttp2_stream_get_sum_dependency_weight: This function always
      returns 0.

commit 8c83772f6c45a571fb209e9ec91729a360b8490f
Merge: 5ca0bca1 a8d731d8
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-01-03
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-01-03

    Merge pull request #2286 from nghttp2/bump-munit
    
    Bump munit

commit a8d731d81fb34fa253cc9cb7c8874f096914ee00
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-01-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-01-03

    Bump munit

commit 5ca0bca19992fbb08792a25a6657a61c16f78710
Merge: 89f27a59 23a17d00
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-12-19
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-12-19

    Merge pull request #2283 from nghttp2/bump-ngtcp2
    
    Bump ngtcp2 and QUIC dependencies

commit 89f27a597f4237d1c70a7d2b1b6c559ff4182ed6
Merge: 59f85c5d 947928bc
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-12-19
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-12-19

    Merge pull request #2282 from nghttp2/bump-golang.org/x/net
    
    Bump golang.org/x/net to v0.33.0

commit 947928bcc2a8a5951a7ff15ea032501bae98927b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-12-19
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-12-19

    Bump golang.org/x/net to v0.33.0

commit 23a17d0048f581856a363f6e3498815b0a4e4844
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-12-19
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-12-19

    Bump ngtcp2 and QUIC dependencies

commit 59f85c5d622ba46826f11e6d02b5aa39439cf7f8
Merge: 92fa43ac c7bf69c8
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-12-10
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-12-10

    Merge pull request #2281 from nghttp2/dependabot/go_modules/golang.org/x/net-0.32.0
    
    build(deps): bump golang.org/x/net from 0.31.0 to 0.32.0

commit c7bf69c8e1d8646b249ef08ad58f3bca06ff0f3b
Author:     dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
AuthorDate: 2024-12-09
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-12-09

    build(deps): bump golang.org/x/net from 0.31.0 to 0.32.0
    
    Bumps [golang.org/x/net](https://github.com/golang/net) from 0.31.0 to 0.32.0.
    - [Commits](https://github.com/golang/net/compare/v0.31.0...v0.32.0)
    
    ---
    updated-dependencies:
    - dependency-name: golang.org/x/net
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 92fa43ac912b6c3b3d8bbfde55416eaa4f4ad508
Merge: 68c3600d b05ee704
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-12-10
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-12-10

    Merge pull request #2279 from nghttp2/dependabot/go_modules/github.com/quic-go/quic-go-0.48.2
    
    build(deps): bump github.com/quic-go/quic-go from 0.48.1 to 0.48.2

commit b05ee704dd020e9dd0a8ff329686241fdbaeb897
Author:     dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
AuthorDate: 2024-12-02
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-12-02

    build(deps): bump github.com/quic-go/quic-go from 0.48.1 to 0.48.2
    
    Bumps [github.com/quic-go/quic-go](https://github.com/quic-go/quic-go) from 0.48.1 to 0.48.2.
    - [Release notes](https://github.com/quic-go/quic-go/releases)
    - [Changelog](https://github.com/quic-go/quic-go/blob/master/Changelog.md)
    - [Commits](https://github.com/quic-go/quic-go/compare/v0.48.1...v0.48.2)
    
    ---
    updated-dependencies:
    - dependency-name: github.com/quic-go/quic-go
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 68c3600d9fe729b8c66424384472a23ae8b45cec
Merge: eb22cc12 f51e9b30
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-11-25
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-11-25

    Merge pull request #2275 from nghttp2/bump-ngtcp2
    
    Bump ngtcp2

commit f51e9b300f35ab50b16d3cdece1acf6ff9425357
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-11-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-11-25

    GHA: Fix build error on Mac OS 14

commit f61d304ef38f92fb4c898664c48df9eadde36f9f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-11-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-11-25

    Bump ngtcp2 and its dependencies

commit eb22cc1231a6b57b384abcd9948eb3ddfb844755
Merge: 55c5adf9 41c8940a
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-11-18
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-11-18

    Merge pull request #2274 from nghttp2/bump-sfparse
    
    Bump sfparse to 7eaf5b651f67123edf2605391023ed2fd7e2ef16

commit 41c8940a4ca9875b6ada4d432d8d2f2beeda0e60
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-11-18
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-11-18

    Bump sfparse to 7eaf5b651f67123edf2605391023ed2fd7e2ef16

commit 55c5adf9676ecb49e8083fe3458381e751796123
Merge: da14a31c db315a45
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-11-16
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-11-16

    Merge pull request #2273 from nghttp2/urlparse
    
    Replace url-parser with urlparse

commit db315a458810adb7d30be01315d48addd2a9fc40
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-11-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-11-16

    Replace url-parser with urlparse

commit da14a31cfb7dd05ee0b5cbbc6ec9d04cc87da365
Merge: 7a96731c f5b0c5bf
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-11-15
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-11-15

    Merge pull request #2272 from nghttp2/dependabot/go_modules/golang.org/x/net-0.31.0
    
    build(deps): bump golang.org/x/net from 0.30.0 to 0.31.0

commit f5b0c5bf06354d8cdb5fc46ee1c736e818bb2933
Author:     dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
AuthorDate: 2024-11-11
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-11-11

    build(deps): bump golang.org/x/net from 0.30.0 to 0.31.0
    
    Bumps [golang.org/x/net](https://github.com/golang/net) from 0.30.0 to 0.31.0.
    - [Commits](https://github.com/golang/net/compare/v0.30.0...v0.31.0)
    
    ---
    updated-dependencies:
    - dependency-name: golang.org/x/net
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 7a96731c6b03810bb5f45b3bd34806b895d7446e
Merge: 82ec1af2 ce70fb2a
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-10-30
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-10-30

    Merge pull request #2268 from TuxInvader/conn-close-bytes
    
    account for bytes on closing connections

commit ce70fb2a3e46a60a73ffe5526be9d1bdc87bd8ba
Author:     Mark Boddington <TuxInvader@users.noreply.github.com>
AuthorDate: 2024-10-29
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-10-29

    remove len check

commit 82ec1af20e05b6f3d7c3b9106f777dcd28e732a1
Merge: 55d4de79 5024c1b2
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-10-29
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-10-29

    Merge pull request #2270 from nghttp2/dependabot/go_modules/github.com/quic-go/quic-go-0.48.1
    
    build(deps): bump github.com/quic-go/quic-go from 0.48.0 to 0.48.1

commit 5024c1b2409a35c670fe945eb27c944f0e03d0c9
Author:     dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
AuthorDate: 2024-10-28
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-10-28

    build(deps): bump github.com/quic-go/quic-go from 0.48.0 to 0.48.1
    
    Bumps [github.com/quic-go/quic-go](https://github.com/quic-go/quic-go) from 0.48.0 to 0.48.1.
    - [Release notes](https://github.com/quic-go/quic-go/releases)
    - [Changelog](https://github.com/quic-go/quic-go/blob/master/Changelog.md)
    - [Commits](https://github.com/quic-go/quic-go/compare/v0.48.0...v0.48.1)
    
    ---
    updated-dependencies:
    - dependency-name: github.com/quic-go/quic-go
      dependency-type: direct:production
      update-type: version-update:semver-patch
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit a30bc25ac7327764863b430da3a713095afbe9df
Author:     Mark Boddington <TuxInvader@users.noreply.github.com>
AuthorDate: 2024-10-25
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-10-25

    account for bytes on closing connections

commit 55d4de7963bc8c2c849cf4ca0c195a6d9f8e12eb
Merge: fcd4f266 69df6871
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-10-22
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-10-22

    Merge pull request #2266 from nghttp2/dependabot/go_modules/github.com/quic-go/quic-go-0.48.0
    
    build(deps): bump github.com/quic-go/quic-go from 0.47.0 to 0.48.0

commit 69df6871f63994fa41b09f2d1972ee43982e894b
Author:     dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
AuthorDate: 2024-10-21
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-10-21

    build(deps): bump github.com/quic-go/quic-go from 0.47.0 to 0.48.0
    
    Bumps [github.com/quic-go/quic-go](https://github.com/quic-go/quic-go) from 0.47.0 to 0.48.0.
    - [Release notes](https://github.com/quic-go/quic-go/releases)
    - [Changelog](https://github.com/quic-go/quic-go/blob/master/Changelog.md)
    - [Commits](https://github.com/quic-go/quic-go/compare/v0.47.0...v0.48.0)
    
    ---
    updated-dependencies:
    - dependency-name: github.com/quic-go/quic-go
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit fcd4f2663a61d1098cb2fca7d4da7e009f285569
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-10-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-10-21

    Bump package version
